Bug 730184 (nag432@gmail.com) - [abrt] gvfs-gphoto2-1.8.2-1.fc15: dtoh32ap: Process /usr/libexec/gvfsd-gphoto2 was killed by signal 11 (SIGSEGV)
Summary: [abrt] gvfs-gphoto2-1.8.2-1.fc15: dtoh32ap: Process /usr/libexec/gvfsd-gphoto...
Keywords:
Status: CLOSED WONTFIX
Alias: nag432@gmail.com
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2b561c05ecee576bf66133a5b8c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 03:55 UTC by nagesh
Modified: 2015-03-03 23:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:51:08 UTC


Attachments (Terms of Use)

Description nagesh 2011-08-12 03:55:40 UTC
abrt version: 2.0.1
architecture:   i686
cmdline:        /usr/libexec/gvfsd-gphoto2 --spawner :1.4 /org/gtk/gvfs/exec_spaw/10
comment:        when I connected my  phone through USB
component:      gvfs
crash_function: dtoh32ap
executable:     /usr/libexec/gvfsd-gphoto2
kernel:         2.6.38.8-35.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        gvfs-gphoto2-1.8.2-1.fc15
rating:         4
reason:         Process /usr/libexec/gvfsd-gphoto2 was killed by signal 11 (SIGSEGV)
time:           Fri Aug 12 09:19:08 2011
uid:            500
username:       qa

backtrace:
:[New LWP 5540]
:[New LWP 5539]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/libexec/gvfsd-gphoto2 --spawner :1.4 /org/gtk/gvfs/exec_spaw/10'.
:Program terminated with signal 11, Segmentation fault.
:#0  0x00794af3 in dtoh32ap (a=0x0, params=<optimized out>) at ptp2/ptp-pack.c:76
:76	ptp2/ptp-pack.c: No such file or directory.
:	in ptp2/ptp-pack.c
:
:Thread 2 (Thread 0xb77f8720 (LWP 5539)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/sysenter.S:49
:No locals.
:#1  0x426d7b7e in poll () from /lib/libc.so.6
:No symbol table info available.
:#2  0x42876aac in g_poll (fds=0x9e837c8, nfds=5, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x42867c36 in g_main_context_poll (n_fds=5, fds=0x4279e5a0, priority=<optimized out>, timeout=<optimized out>, context=0x9e7ab78) at gmain.c:3405
:        poll_func = 0x42876a80 <g_poll>
:#4  g_main_context_iterate (context=0x9e7ab78, block=1116170880, dispatch=1, self=0x9e6fb28) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 5
:        allocated_nfds = <optimized out>
:        fds = 0x4279e5a0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x42868457 in g_main_loop_run (loop=0x9e7b2d8) at gmain.c:3300
:        self = 0x9e6fb28
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x080543e8 in daemon_main (argc=4, argv=0xbfc686a4, max_job_threads=1, default_type=0x8068442 "gphoto2", mountable_name=0x0, first_type_name=0x8068442 "gphoto2") at daemon-main.c:295
:        var_args = <optimized out>
:        connection = <optimized out>
:        loop = <optimized out>
:        daemon = 0x9e71520 [GVfsDaemon]
:        derror = {name = 0x0, message = 0x0, dummy1 = 1, dummy2 = 0, dummy3 = 0, dummy4 = 0, dummy5 = 1, padding1 = 0x174}
:        mount_spec = 0x0
:        mount_source = <optimized out>
:        error = 0x0
:        res = <optimized out>
:        type = <optimized out>
:#7  0x0804de87 in main (argc=4, argv=0xbfc686a4) at daemon-main-generic.c:39
:No locals.
:
:Thread 1 (Thread 0xb75f7b70 (LWP 5540)):
:#0  0x00794af3 in dtoh32ap (a=0x0, params=<optimized out>) at ptp2/ptp-pack.c:76
:No locals.
:#1  ptp_unpack_uint32_t_array (array=0xb75f6e78, offset=0, data=0x0, params=0xb6c0cea0) at ptp2/ptp-pack.c:238
:        n = 3064983560
:        i = 0
:#2  ptp_unpack_SIDs (sids=0xb75f6e74, data=0x0, params=0xb6c0cea0, len=<optimized out>) at ptp2/ptp-pack.c:410
:No locals.
:#3  ptp_getstorageids (params=0xb6c0cea0, storageids=0xb75f6e74) at ptp2/ptp.c:606
:        ret = 8193
:        ptp = {Code = 8193, SessionID = 1, Transaction_ID = 4, Param1 = 0, Param2 = 0, Param3 = 0, Param4 = 0, Param5 = 0, Nparam = 0 '\000'}
:        len = 0
:        sids = 0x0
:#4  0x007a6426 in folder_list_func (fs=0xb6c04108, folder=0xb6c088b0 "/", list=0xb6aff008, data=0xb6c02bd8, context=0xb6c02b90) at ptp2/library.c:3639
:        r = <optimized out>
:        storageids = {n = 1108854360, Storage = 0x44cd7679}
:        params = 0xb6c0cea0
:        i = <optimized out>
:        hasgetstorageids = <optimized out>
:        handler = <optimized out>
:        storage = <optimized out>
:#5  0x42174072 in gp_filesystem_list_folders (fs=0xb6c04108, folder=0xb6c088b0 "/", list=0xb6aff008, context=0xb6c02b90) at gphoto2-filesys.c:1024
:        r = <optimized out>
:        y = <optimized out>
:        count = <optimized out>
:        name = <optimized out>
:        f = 0xb6c02c40
:        new = <optimized out>
:#6  0x4216dd39 in gp_camera_folder_list_folders (camera=0xb6c02bd8, folder=0xb6c088b0 "/", list=0xb6aff008, context=0xb6c02b90) at gphoto2-camera.c:1123
:        r6 = <optimized out>
:#7  0x0804f66c in file_get_info (gphoto2_backend=0x9e7d820 [GVfsBackendGphoto2], dir=0xb6c088b0 "/", name=0xb6c080c0 "media.repo", info=0x9e70c20 [GFileInfo], error=0xb75f7204, try_cache_only=0) at gvfsbackendgphoto2.c:1162
:        list = 0xb6aff008
:        is_folder = 0
:        rc = <optimized out>
:        ret = 0
:        gp_info = {preview = {fields = GP_FILE_INFO_NONE, status = GP_FILE_STATUS_NOT_DOWNLOADED, size = 0, type = '\000' <repeats 63 times>, width = 0, height = 0}, file = {fields = GP_FILE_INFO_NONE, status = GP_FILE_STATUS_NOT_DOWNLOADED, size = 0, type = '\000' <repeats 63 times>, width = 0, height = 0, name = '\000' <repeats 63 times>, permissions = GP_FILE_PERM_NONE, mtime = 0}, audio = {fields = GP_FILE_INFO_NONE, status = GP_FILE_STATUS_NOT_DOWNLOADED, size = 0, type = '\000' <repeats 63 times>}}
:        full_path = 0xb6c08050 "/media.repo"
:        cached_info = <optimized out>
:        mtime = {tv_sec = 1114088030, tv_usec = -1218484960}
:        mime_type = <optimized out>
:        icon = <optimized out>
:        n = <optimized out>
:#8  0x08052a78 in do_query_info (backend=0x9e7d820 [GVfsBackendGphoto2], job=0x9e81c10 [GVfsJobQueryInfo], filename=0x9e7b8e0 "/media.repo", flags=G_FILE_QUERY_INFO_NONE, info=0x9e70c20 [GFileInfo], matcher=0x9e81a40) at gvfsbackendgphoto2.c:2114
:        gphoto2_backend = 0x9e7d820 [GVfsBackendGphoto2]
:        error = 0x0
:        dir = 0xb6c088b0 "/"
:        name = 0xb6c080c0 "media.repo"
:#9  0x080608d4 in run (job=0x9e81c10 [GVfsJobQueryInfo]) at gvfsjobqueryinfo.c:154
:        op_job = <optimized out>
:        class = <optimized out>
:#10 0x0805a57f in g_vfs_job_run (job=0x9e81c10 [GVfsJobQueryInfo]) at gvfsjob.c:198
:        class = 0x9e7b238
:#11 0x08054c0d in job_handler_callback (data=0x9e81c10, user_data=0x9e71520) at gvfsdaemon.c:144
:        job = <optimized out>
:#12 0x42891b07 in g_thread_pool_thread_proxy (data=0x9e7b3a8) at gthreadpool.c:319
:        task = 0x9e81c10
:        pool = 0x9e7b3a8
:#13 0x4288f535 in g_thread_create_proxy (data=0x9e7f108) at gthread.c:1955
:        thread = 0x9e7f108
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#14 0x4279b9fe in start_thread () from /lib/libpthread.so.0
:No symbol table info available.
:#15 0x426e222e in clone () from /lib/libc.so.6
:No symbol table info available.
:From        To          Syms Read   Shared Object Library
:0x45040c60  0x4504c47c  Yes         /usr/lib/libgvfscommon.so.0
:0x42b75040  0x42b8ec7c  Yes         /lib/libexpat.so.1
:0x42e39c50  0x42ef640c  Yes         /lib/libgio-2.0.so.0
:0x42e15bd0  0x42e16d4c  Yes         /lib/libgmodule-2.0.so.0
:0x497776a0  0x497a6cfc  Yes         /lib/libdbus-1.so.3
:0x427995f0  0x427a4d3c  Yes (*)     /lib/libpthread.so.0
:0x4500a2f0  0x4501c40c  Yes         /usr/lib/libgnome-keyring.so.0
:0x42167460  0x4217b41c  Yes         /usr/lib/libgphoto2.so.2
:0x44cd67c0  0x44cdad6c  Yes         /usr/lib/libgphoto2_port.so.0
:0x427c6470  0x427e1b4c  Yes (*)     /lib/libm.so.6
:0x42130e90  0x421458bc  Yes         /usr/lib/libexif.so.12
:0x4528a070  0x4528bdfc  Yes         /lib/libusb-0.1.so.4
:0x437cda40  0x437d0f2c  Yes         /lib/libgudev-1.0.so.0
:0x42afefe0  0x42b3272c  Yes         /lib/libgobject-2.0.so.0
:0x4297ef30  0x4298070c  Yes         /lib/libgthread-2.0.so.0
:0x427b9880  0x427bd39c  Yes (*)     /lib/librt.so.1
:0x42838770  0x428d63dc  Yes         /lib/libglib-2.0.so.0
:0x455b4a20  0x455b542c  Yes (*)     /lib/libutil.so.1
:0x4261ed10  0x4273cb64  Yes (*)     /lib/libc.so.6
:0x427b1a60  0x427b2a8c  Yes (*)     /lib/libdl.so.2
:0x429645f0  0x429745cc  Yes (*)     /lib/libresolv.so.2
:0x4280f670  0x4281caac  Yes         /lib/libz.so.1
:0x42945490  0x42956d9c  Yes         /lib/libselinux.so.1
:0x425e7850  0x425feaff  Yes (*)     /lib/ld-linux.so.2
:0x454e6280  0x4553961c  Yes         /lib/libgcrypt.so.11
:0x45b21a20  0x45b2652c  Yes         /usr/lib/libltdl.so.7
:0x455bbbb0  0x455c3bec  Yes         /lib/libusb-1.0.so.0
:0x438c23b0  0x438cbacc  Yes         /lib/libudev.so.0
:0x454af630  0x454afc3c  Yes         /lib/libgpg-error.so.0
:0x427f0f30  0x42807c5c  Yes         /lib/libgcc_s.so.1
:0x00ab0be0  0x00ab362c  Yes         /usr/lib/libgphoto2_port/0.8.0/usb.so
:0x00791ef0  0x007bc5ec  Yes         /usr/lib/libgphoto2/2.4.10.1/ptp2.so
:0x00871a40  0x00878f3c  Yes (*)     /lib/libnss_files.so.2
:(*): Shared library is missing debugging information.
:$1 = 0x0
:$2 = 0x0
:eax            0xb6c0cea0	-1228878176
:ecx            0xb75f6e08	-1218482680
:edx            0xb75f6e08	-1218482680
:ebx            0x7d55b0	8213936
:esp            0xb75f6dc0	0xb75f6dc0
:ebp            0x0	0x0
:esi            0xb6aff008	-1229983736
:edi            0x2001	8193
:eip            0x794af3	0x794af3 <ptp_getstorageids+163>
:eflags         0x10246	[ PF ZF IF RF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function ptp_getstorageids:
:   0x00794a50 <+0>:	lea    -0x6c(%esp),%esp
:   0x00794a54 <+4>:	xor    %eax,%eax
:   0x00794a56 <+6>:	mov    %ebx,0x5c(%esp)
:   0x00794a5a <+10>:	mov    %edi,0x64(%esp)
:   0x00794a5e <+14>:	call   0x7921c9 <__i686.get_pc_thunk.bx>
:   0x00794a63 <+19>:	add    $0x40b4d,%ebx
:   0x00794a69 <+25>:	lea    0x24(%esp),%edx
:   0x00794a6d <+29>:	mov    $0x9,%ecx
:   0x00794a72 <+34>:	mov    %edx,%edi
:   0x00794a74 <+36>:	mov    %esi,0x60(%esp)
:   0x00794a78 <+40>:	mov    %ebp,0x68(%esp)
:   0x00794a7c <+44>:	movl   $0x0,0x4c(%esp)
:   0x00794a84 <+52>:	rep stos %eax,%es:(%edi)
:   0x00794a86 <+54>:	lea    0x48(%esp),%eax
:   0x00794a8a <+58>:	mov    %eax,0xc(%esp)
:   0x00794a8e <+62>:	lea    0x4c(%esp),%eax
:   0x00794a92 <+66>:	mov    %eax,0x8(%esp)
:   0x00794a96 <+70>:	mov    0x70(%esp),%eax
:   0x00794a9a <+74>:	movw   $0x1004,0x24(%esp)
:   0x00794aa1 <+81>:	movl   $0x0,0x48(%esp)
:   0x00794aa9 <+89>:	movl   $0x0,0x4(%esp)
:   0x00794ab1 <+97>:	movl   $0x2,(%esp)
:   0x00794ab8 <+104>:	call   0x792b30 <ptp_transaction>
:   0x00794abd <+109>:	cmp    $0x2001,%ax
:   0x00794ac1 <+113>:	mov    %eax,%edi
:   0x00794ac3 <+115>:	je     0x794ae8 <ptp_getstorageids+152>
:   0x00794ac5 <+117>:	mov    0x4c(%esp),%eax
:   0x00794ac9 <+121>:	mov    %eax,(%esp)
:   0x00794acc <+124>:	call   0x791a04 <free@plt>
:   0x00794ad1 <+129>:	mov    %edi,%eax
:   0x00794ad3 <+131>:	mov    0x5c(%esp),%ebx
:   0x00794ad7 <+135>:	mov    0x60(%esp),%esi
:   0x00794adb <+139>:	mov    0x64(%esp),%edi
:   0x00794adf <+143>:	mov    0x68(%esp),%ebp
:   0x00794ae3 <+147>:	lea    0x6c(%esp),%esp
:   0x00794ae7 <+151>:	ret    
:   0x00794ae8 <+152>:	mov    0x70(%esp),%eax
:   0x00794aec <+156>:	mov    0x4c(%esp),%ebp
:   0x00794af0 <+160>:	cmpb   $0xf,(%eax)
:=> 0x00794af3 <+163>:	mov    0x0(%ebp),%esi
:   0x00794af6 <+166>:	je     0x794afa <ptp_getstorageids+170>
:   0x00794af8 <+168>:	bswap  %esi
:   0x00794afa <+170>:	lea    0x0(,%esi,4),%eax
:   0x00794b01 <+177>:	mov    %eax,(%esp)
:   0x00794b04 <+180>:	call   0x791c44 <malloc@plt>
:   0x00794b09 <+185>:	mov    0x74(%esp),%edx
:   0x00794b0d <+189>:	test   %esi,%esi
:   0x00794b0f <+191>:	mov    %eax,0x4(%edx)
:   0x00794b12 <+194>:	je     0x794b3b <ptp_getstorageids+235>
:   0x00794b14 <+196>:	mov    %di,0x1e(%esp)
:   0x00794b19 <+201>:	xor    %edx,%edx
:   0x00794b1b <+203>:	mov    0x70(%esp),%edi
:   0x00794b1f <+207>:	nop
:   0x00794b20 <+208>:	lea    0x1(%edx),%edx
:   0x00794b23 <+211>:	cmpb   $0xf,(%edi)
:   0x00794b26 <+214>:	mov    0x0(%ebp,%edx,4),%ecx
:   0x00794b2a <+218>:	je     0x794b2e <ptp_getstorageids+222>
:   0x00794b2c <+220>:	bswap  %ecx
:   0x00794b2e <+222>:	cmp    %esi,%edx
:   0x00794b30 <+224>:	mov    %ecx,-0x4(%eax,%edx,4)
:   0x00794b34 <+228>:	jne    0x794b20 <ptp_getstorageids+208>
:   0x00794b36 <+230>:	movzwl 0x1e(%esp),%edi
:   0x00794b3b <+235>:	mov    0x74(%esp),%eax
:   0x00794b3f <+239>:	mov    %esi,(%eax)
:   0x00794b41 <+241>:	jmp    0x794ac5 <ptp_getstorageids+117>
:End of assembler dump.

build_ids:
:3168ec9ff007568c0a1cf26c48b4c5f117cb09c8
:49f220f0041d6b403f6c629b5160649c56e8aba5
:6ff69bfdc1c80cf6751bb2c0fc15e0ab9783dd3d
:1a7659aa51963dc8d0eb56f9655b6eb269313dfa
:6071c8f43965e446fd83dbb21593926893078ddd
:98d5d672772d43d9c4c993a78d092f9cc9439481
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:c2116bf50c04adc4eff729c37f537afffd050cef
:a8664d8b5e7caddda44326e05234950941fa4ee8
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:6ba7ac6427bae2238ff383b0708c5b934864e314
:6f6990307c70f74ac965124f51a3a7322885639c
:bcbca8fc1f3f5ae577add309e3e26ae7d1827042
:177452c458dbd4322d2fb524e0ede4fec9020580
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:7cde8206ad97ddf378cc9e6843180535983b0efc
:ff72394ee27216c2380a40a6c86ba8474d269c94
:6c62db659622616558823abb1c12f7c216fed997
:af69c0f02cb41bb1705982dc965f627f2508c9a4
:f9a96e2ed036ba670aa4cf9022515da8707b22de
:4709482862f00637bedaf5eeda381d3c6ecf2996
:826bb4d8376c62b913b61301b276adab50e11c5a
:79b309053c38bee7f97c561c7c46e1b1ab78ecf9
:34d715e2766f8694271730798a4b8e1605ec93ea
:3d0600cec28ac3bfc7984d9febb6232940c682f7
:206d5f889d1e0d93825eb5af70c0696340bcb18b
:d9cd212889b42b8e74071166bab52e60d79dbad2
:3fef793d31e6737400af94c5b121594d3aff98ba
:6f87ea21308989c674f40d270f35514bbed96401
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:d92505dc952684ed3f59942efcff925f1e738748
:8ff89a194e5831bff9de18610af4cfcb5ced75d8
:37b6ae12c782e78ad8450b2cc126c822a538f9df
:e17b15a2753d4e06d006add1aa7aca91b4f94b70
:56605d58a31a73d62633489d68080067e35eb5d5

dsos:
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-2.i686 (Fedora Project) 1308052892
:/lib/libm-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308052892
:/usr/lib/libgphoto2_port.so.0.8.0 libgphoto2-2.4.10.1-1.fc15.i686 (Fedora Project) 1307965461
:/lib/libnss_files-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308052892
:/lib/libgudev-1.0.so.0.1.0 libgudev1-167-4.fc15.i686 (Fedora Project) 1307965243
:/usr/libexec/gvfsd-gphoto2 gvfs-gphoto2-1.8.2-1.fc15.i686 (Fedora Project) 1308053356
:/lib/libutil-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308052892
:/usr/lib/libgphoto2_port/0.8.0/usb.so libgphoto2-2.4.10.1-1.fc15.i686 (Fedora Project) 1307965461
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1312510659
:/lib/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.i686 (Fedora Project) 1307965237
:/usr/lib/libexif.so.12.3.2 libexif-0.6.20-1.fc15.i686 (Fedora Project) 1307965246
:/lib/libusb-0.1.so.4.4.4 libusb-1:0.1.3-7.fc15.i686 (Fedora Project) 1307965245
:/usr/lib/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.i686 (Fedora Project) 1307965240
:/usr/lib/libgnome-keyring.so.0.1.1 libgnome-keyring-3.0.3-1.fc15.i686 (Fedora Project) 1308052908
:/lib/libpthread-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308052892
:/lib/ld-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308052892
:/usr/lib/libgphoto2.so.2.4.0 libgphoto2-2.4.10.1-1.fc15.i686 (Fedora Project) 1307965461
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1307965240
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308052904
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1307965234
:/lib/libudev.so.0.11.1 libudev-167-4.fc15.i686 (Fedora Project) 1307965238
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308052904
:/lib/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.i686 (Fedora Project) 1308052879
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308052904
:/lib/libc-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308052892
:/lib/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.i686 (Fedora Project) 1307965237
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308052904
:/lib/libresolv-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308052892
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1307965235
:/usr/lib/libgphoto2/2.4.10.1/ptp2.so libgphoto2-2.4.10.1-1.fc15.i686 (Fedora Project) 1307965461
:/lib/librt-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308052892
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1308052909
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308052904
:/lib/libusb-1.0.so.0.0.0 libusb1-1.0.8-7.fc15.i686 (Fedora Project) 1307965245
:/lib/libdl-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308052892
:/usr/lib/locale/locale-archive glibc-common-2.14-2.i686 (Fedora Project) 1308052885

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-ozn8vWGAEj,guid=79bf11a5b61017c16535933800000135
:XDG_SESSION_COOKIE=81d7b73daf7b5441a57afaf700000008-1312870853.995435-603291976
:XDG_RUNTIME_DIR=/run/user/qa
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:USERNAME=qa
:XDG_SESSION_ID=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ozn8vWGAEj,guid=79bf11a5b61017c16535933800000135
:XAUTHORITY=/var/run/gdm/auth-for-qa-YmeoYE/database
:USER=qa
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1424
:SHLVL=1
:PWD=/home/qa
:GDM_LANG=en_US.utf8
:GNOME_KEYRING_CONTROL=/tmp/keyring-Ptkiwa
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=qa
:HOME=/home/qa

event_log:
:2011-08-12-09:21:04> Analyzing coredump 'coredump'
:2011-08-12-09:21:07  Coredump references 35 debuginfo files, 16 of them are not installed
:2011-08-12-09:21:41  Looking for needed packages in repositories
:2011-08-12-09:22:50  Can't find packages for 9 debuginfo files
:2011-08-12-09:22:50  Packages to download: 4
:2011-08-12-09:22:50  Downloading 2.90Mb, installed size: 13.07Mb
:2011-08-12-09:22:52  Downloading (1 of 4) libusb1-debuginfo-1.0.8-7.fc15.i686.rpm: 100%
:2011-08-12-09:22:52  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-12-09:21:04.5593/libusb1-debuginfo-1.0.8-7.fc15.i686.rpm
:2011-08-12-09:22:52  Caching files from unpacked.cpio made from libusb1-debuginfo-1.0.8-7.fc15.i686.rpm
:2011-08-12-09:23:04  Downloading (2 of 4) libgphoto2-debuginfo-2.4.10.1-1.fc15.i686.rpm:  26%
:2011-08-12-09:23:15  Downloading (2 of 4) libgphoto2-debuginfo-2.4.10.1-1.fc15.i686.rpm:  32%
:2011-08-12-09:23:25  Downloading (2 of 4) libgphoto2-debuginfo-2.4.10.1-1.fc15.i686.rpm:  88%
:2011-08-12-09:23:35  Downloading (2 of 4) libgphoto2-debuginfo-2.4.10.1-1.fc15.i686.rpm:  94%
:2011-08-12-09:23:36  Downloading (2 of 4) libgphoto2-debuginfo-2.4.10.1-1.fc15.i686.rpm: 100%
:2011-08-12-09:23:36  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-12-09:21:04.5593/libgphoto2-debuginfo-2.4.10.1-1.fc15.i686.rpm
:2011-08-12-09:23:36  Caching files from unpacked.cpio made from libgphoto2-debuginfo-2.4.10.1-1.fc15.i686.rpm
:2011-08-12-09:23:47  Downloading (3 of 4) dbus-debuginfo-1.4.6-5.fc15.i686.rpm: 100%
:2011-08-12-09:23:47  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-12-09:21:04.5593/dbus-debuginfo-1.4.6-5.fc15.i686.rpm
:2011-08-12-09:23:47  Caching files from unpacked.cpio made from dbus-debuginfo-1.4.6-5.fc15.i686.rpm
:2011-08-12-09:23:57  Downloading (4 of 4) libusb-debuginfo-0.1.3-7.fc15.i686.rpm: 100%
:2011-08-12-09:23:57  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-08-12-09:21:04.5593/libusb-debuginfo-0.1.3-7.fc15.i686.rpm
:2011-08-12-09:23:57  Caching files from unpacked.cpio made from libusb-debuginfo-0.1.3-7.fc15.i686.rpm
:2011-08-12-09:23:57  All downloaded packages have been extracted, removing /tmp/abrt-tmp-debuginfo-2011-08-12-09:21:04.5593
:2011-08-12-09:23:57  Missing debuginfo file: /usr/lib/debug/.build-id/31/68ec9ff007568c0a1cf26c48b4c5f117cb09c8.debug
:2011-08-12-09:23:57  Missing debuginfo file: /usr/lib/debug/.build-id/1a/7659aa51963dc8d0eb56f9655b6eb269313dfa.debug
:2011-08-12-09:23:57  Missing debuginfo file: /usr/lib/debug/.build-id/60/71c8f43965e446fd83dbb21593926893078ddd.debug
:2011-08-12-09:23:57  Missing debuginfo file: /usr/lib/debug/.build-id/a8/664d8b5e7caddda44326e05234950941fa4ee8.debug
:2011-08-12-09:23:57  Missing debuginfo file: /usr/lib/debug/.build-id/6f/6990307c70f74ac965124f51a3a7322885639c.debug
:2011-08-12-09:23:57  Missing debuginfo file: /usr/lib/debug/.build-id/bc/bca8fc1f3f5ae577add309e3e26ae7d1827042.debug
:2011-08-12-09:23:57  Missing debuginfo file: /usr/lib/debug/.build-id/20/6d5f889d1e0d93825eb5af70c0696340bcb18b.debug
:2011-08-12-09:23:57  Missing debuginfo file: /usr/lib/debug/.build-id/8f/f89a194e5831bff9de18610af4cfcb5ced75d8.debug
:2011-08-12-09:23:57  Missing debuginfo file: /usr/lib/debug/.build-id/56/605d58a31a73d62633489d68080067e35eb5d5.debug
:2011-08-12-09:24:00  Backtrace is generated and saved, 11462 bytes

maps:
:00788000-007d2000 r-xp 00000000 08:02 11275130   /usr/lib/libgphoto2/2.4.10.1/ptp2.so
:007d2000-007dc000 rw-p 0004a000 08:02 11275130   /usr/lib/libgphoto2/2.4.10.1/ptp2.so
:00870000-0087b000 r-xp 00000000 08:02 7471841    /lib/libnss_files-2.14.so
:0087b000-0087c000 r--p 0000a000 08:02 7471841    /lib/libnss_files-2.14.so
:0087c000-0087d000 rw-p 0000b000 08:02 7471841    /lib/libnss_files-2.14.so
:00ab0000-00ab5000 r-xp 00000000 08:02 11275156   /usr/lib/libgphoto2_port/0.8.0/usb.so
:00ab5000-00ab6000 rw-p 00004000 08:02 11275156   /usr/lib/libgphoto2_port/0.8.0/usb.so
:00ff4000-00ff5000 r-xp 00000000 00:00 0          [vdso]
:08048000-08072000 r-xp 00000000 08:02 11144463   /usr/libexec/gvfsd-gphoto2
:08072000-08075000 rw-p 00029000 08:02 11144463   /usr/libexec/gvfsd-gphoto2
:09e6f000-09e90000 rw-p 00000000 00:00 0          [heap]
:4212a000-42155000 r-xp 00000000 08:02 11160689   /usr/lib/libexif.so.12.3.2
:42155000-42161000 rw-p 0002b000 08:02 11160689   /usr/lib/libexif.so.12.3.2
:42163000-42181000 r-xp 00000000 08:02 11144232   /usr/lib/libgphoto2.so.2.4.0
:42181000-42182000 rw-p 0001e000 08:02 11144232   /usr/lib/libgphoto2.so.2.4.0
:42182000-421e2000 rw-p 00000000 00:00 0 
:425e7000-42604000 r-xp 00000000 08:02 7472542    /lib/ld-2.14.so
:42604000-42605000 r--p 0001d000 08:02 7472542    /lib/ld-2.14.so
:42605000-42606000 rw-p 0001e000 08:02 7472542    /lib/ld-2.14.so
:42608000-4278d000 r-xp 00000000 08:02 7476727    /lib/libc-2.14.so
:4278d000-4278f000 r--p 00184000 08:02 7476727    /lib/libc-2.14.so
:4278f000-42790000 rw-p 00186000 08:02 7476727    /lib/libc-2.14.so
:42790000-42793000 rw-p 00000000 00:00 0 
:42795000-427ab000 r-xp 00000000 08:02 7476739    /lib/libpthread-2.14.so
:427ab000-427ac000 r--p 00015000 08:02 7476739    /lib/libpthread-2.14.so
:427ac000-427ad000 rw-p 00016000 08:02 7476739    /lib/libpthread-2.14.so
:427ad000-427af000 rw-p 00000000 00:00 0 
:427b1000-427b4000 r-xp 00000000 08:02 7476732    /lib/libdl-2.14.so
:427b4000-427b5000 r--p 00002000 08:02 7476732    /lib/libdl-2.14.so
:427b5000-427b6000 rw-p 00003000 08:02 7476732    /lib/libdl-2.14.so
:427b8000-427bf000 r-xp 00000000 08:02 7476742    /lib/librt-2.14.so
:427bf000-427c0000 r--p 00006000 08:02 7476742    /lib/librt-2.14.so
:427c0000-427c1000 rw-p 00007000 08:02 7476742    /lib/librt-2.14.so
:427c3000-427eb000 r-xp 00000000 08:02 7476740    /lib/libm-2.14.so
:427eb000-427ec000 r--p 00028000 08:02 7476740    /lib/libm-2.14.so
:427ec000-427ed000 rw-p 00029000 08:02 7476740    /lib/libm-2.14.so
:427ef000-4280b000 r-xp 00000000 08:02 7476741    /lib/libgcc_s-4.6.0-20110530.so.1
:4280b000-4280c000 rw-p 0001b000 08:02 7476741    /lib/libgcc_s-4.6.0-20110530.so.1
:4280e000-42823000 r-xp 00000000 08:02 7476744    /lib/libz.so.1.2.5
:42823000-42824000 rw-p 00014000 08:02 7476744    /lib/libz.so.1.2.5
:42826000-4293e000 r-xp 00000000 08:02 7476760    /lib/libglib-2.0.so.0.2800.8
:4293e000-4293f000 rw-p 00118000 08:02 7476760    /lib/libglib-2.0.so.0.2800.8
:42941000-4295e000 r-xp 00000000 08:02 7476749    /lib/libselinux.so.1
:4295e000-4295f000 r--p 0001c000 08:02 7476749    /lib/libselinux.so.1
:4295f000-42960000 rw-p 0001d000 08:02 7476749    /lib/libselinux.so.1
:42962000-42978000 r-xp 00000000 08:02 7476748    /lib/libresolv-2.14.so
:42978000-42979000 r--p 00016000 08:02 7476748    /lib/libresolv-2.14.so
:42979000-4297a000 rw-p 00017000 08:02 7476748    /lib/libresolv-2.14.so
:4297a000-4297c000 rw-p 00000000 00:00 0 
:4297e000-42982000 r-xp 00000000 08:02 7476761    /lib/libgthread-2.0.so.0.2800.8
:42982000-42983000 rw-p 00003000 08:02 7476761    /lib/libgthread-2.0.so.0.2800.8
:42af8000-42b44000 r-xp 00000000 08:02 7476762    /lib/libgobject-2.0.so.0.2800.8
:42b44000-42b46000 rw-p 0004b000 08:02 7476762    /lib/libgobject-2.0.so.0.2800.8
:42b73000-42b99000 r-xp 00000000 08:02 7476745    /lib/libexpat.so.1.5.2
:42b99000-42b9b000 rw-p 00026000 08:02 7476745    /lib/libexpat.so.1.5.2
:42e15000-42e18000 r-xp 00000000 08:02 7476763    /lib/libgmodule-2.0.so.0.2800.8
:42e18000-42e19000 rw-p 00002000 08:02 7476763    /lib/libgmodule-2.0.so.0.2800.8
:42e1b000-42f45000 r-xp 00000000 08:02 7476764    /lib/libgio-2.0.so.0.2800.8
:42f45000-42f48000 rw-p 00129000 08:02 7476764    /lib/libgio-2.0.so.0.2800.8
:42f48000-42f49000 rw-p 00000000 00:00 0 
:437cb000-437d3000 r-xp 00000000 08:02 7475919    /lib/libgudev-1.0.so.0.1.0
:437d3000-437d4000 rw-p 00007000 08:02 7475919    /lib/libgudev-1.0.so.0.1.0
:437d4000-437d5000 rw-p 00000000 00:00 0 
:438c0000-438cf000 r-xp 00000000 08:02 7476769    /lib/libudev.so.0.11.1
:438cf000-438d0000 r--p 0000e000 08:02 7476769    /lib/libudev.so.0.11.1
:438d0000-438d1000 rw-p 0000f000 08:02 7476769    /lib/libudev.so.0.11.1
:44cd5000-44cdd000 r-xp 00000000 08:02 11161044   /usr/lib/libgphoto2_port.so.0.8.0
:44cdd000-44cde000 rw-p 00007000 08:02 11161044   /usr/lib/libgphoto2_port.so.0.8.0
:45005000-45024000 r-xp 00000000 08:02 11154554   /usr/lib/libgnome-keyring.so.0.1.1
:45024000-45025000 rw-p 0001f000 08:02 11154554   /usr/lib/libgnome-keyring.so.0.1.1
:4503a000-45050000 r-xp 00000000 08:02 11154187   /usr/lib/libgvfscommon.so.0.0.0
:45050000-45051000 rw-p 00016000 08:02 11154187   /usr/lib/libgvfscommon.so.0.0.0
:45289000-4528d000 r-xp 00000000 08:02 7476776    /lib/libusb-0.1.so.4.4.4
:4528d000-4528e000 rw-p 00003000 08:02 7476776    /lib/libusb-0.1.so.4.4.4
:454af000-454b2000 r-xp 00000000 08:02 7476755    /lib/libgpg-error.so.0.7.0
:454b2000-454b3000 rw-p 00002000 08:02 7476755    /lib/libgpg-error.so.0.7.0
:454e2000-4555c000 r-xp 00000000 08:02 7476756    /lib/libgcrypt.so.11.6.0
:4555c000-4555e000 rw-p 00079000 08:02 7476756    /lib/libgcrypt.so.11.6.0
:4555e000-4555f000 rw-p 00000000 00:00 0 
:455b4000-455b6000 r-xp 00000000 08:02 7476773    /lib/libutil-2.14.so
:455b6000-455b7000 r--p 00001000 08:02 7476773    /lib/libutil-2.14.so
:455b7000-455b8000 rw-p 00002000 08:02 7476773    /lib/libutil-2.14.so
:455ba000-455c7000 r-xp 00000000 08:02 7472067    /lib/libusb-1.0.so.0.0.0
:455c7000-455c8000 rw-p 0000c000 08:02 7472067    /lib/libusb-1.0.so.0.0.0
:45b20000-45b29000 r-xp 00000000 08:02 11160563   /usr/lib/libltdl.so.7.3.0
:45b29000-45b2a000 rw-p 00008000 08:02 11160563   /usr/lib/libltdl.so.7.3.0
:49772000-497b9000 r-xp 00000000 08:02 7472379    /lib/libdbus-1.so.3.5.4
:497b9000-497ba000 ---p 00047000 08:02 7472379    /lib/libdbus-1.so.3.5.4
:497ba000-497bb000 r--p 00047000 08:02 7472379    /lib/libdbus-1.so.3.5.4
:497bb000-497bc000 rw-p 00048000 08:02 7472379    /lib/libdbus-1.so.3.5.4
:b6aff000-b6c00000 rw-p 00000000 00:00 0 
:b6c00000-b6c4b000 rw-p 00000000 00:00 0 
:b6c4b000-b6d00000 ---p 00000000 00:00 0 
:b6df7000-b6df8000 ---p 00000000 00:00 0 
:b6df8000-b75f8000 rw-p 00000000 00:00 0 
:b75f8000-b77f8000 r--p 00000000 08:02 11143131   /usr/lib/locale/locale-archive
:b77f8000-b7800000 rw-p 00000000 00:00 0 
:b781e000-b7825000 r--s 00000000 08:02 11143269   /usr/lib/gconv/gconv-modules.cache
:b7825000-b7826000 rw-p 00000000 00:00 0 
:bfc49000-bfc6a000 rw-p 00000000 00:00 0          [stack]

Comment 1 nagesh 2011-08-12 04:06:55 UTC
 When I connect my Nokia C5-00 with USB  cable with the image transfer mode , I observed this . If I change to mass storage it will be fine

Comment 2 Fedora End Of Life 2012-08-07 18:51:11 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.